低危 rubyzip Zip::File组件路径遍历漏洞

CVE编号

CVE-2018-1000544

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-06-27
漏洞描述
rubyzip gem是一个用于读写zip文件的Ruby库。Zip::File是其中的一个解压缩文件组件。

rubyzip 1.2.1及之前版本中的Zip::File组件存在目录遍历漏洞。攻击者可通过上传恶意的文件利用该漏洞向文件系统中写入任意的文件。
解决建议
目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:
https://github.com/rubyzip/rubyzip
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 redhat cloudforms 4.6 -
运行在以下环境
应用 rubyzip_project rubyzip * Up to
(including)
1.2.1
运行在以下环境
系统 debian_8 ruby-zip * Up to
(excluding)
1.1.6-1+deb8u2
运行在以下环境
系统 debian_9 ruby-zip * Up to
(excluding)
1.2.0-1.1+deb9u1
运行在以下环境
系统 ubuntu_18.04 ruby-zip * Up to
(excluding)
1.2.1-1.1~build0.18.04.1
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-434 危险类型文件的不加限制上传
CWE-59 在文件访问前对链接解析不恰当(链接跟随)
阿里云安全产品覆盖情况